Bug 853452 - CVE-2012-3500 rpmdevtools: TOCTOU race condition in annotate-output [fedora-all]
CVE-2012-3500 rpmdevtools: TOCTOU race condition in annotate-output [fedora-all]
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rpmdevtools (Show other bugs)
16
All Linux
low Severity low
: ---
: ---
Assigned To: Ville Skyttä
Fedora Extras Quality Assurance
: Security, SecurityTracking
: 847768 (view as bug list)
Depends On:
Blocks: CVE-2012-3500
  Show dependency treegraph
 
Reported: 2012-08-31 11:11 EDT by Jan Lieskovsky
Modified: 2012-09-17 19:49 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-17 19:49:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2012-08-31 11:11:36 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include this bug ID and the
bug IDs of this bug's parent bugs filed against the "Security Response"
product (the top-level CVE bugs).  Please mention the CVE IDs being fixed
in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=848022

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.


[bug automatically created by: add-tracking-bugs]
Comment 1 Jan Lieskovsky 2012-08-31 11:13:01 EDT
*** Bug 847768 has been marked as a duplicate of this bug. ***
Comment 2 Toshio Ernie Kuratomi 2012-08-31 12:17:00 EDT
Patch looks good: https://bugzilla.redhat.com/show_bug.cgi?id=848022#c2

Ville, do you want to spin a new upstream release or should I just apply the patch to our package for now?
Comment 3 Fedora Update System 2012-09-02 17:25:16 EDT
rpmdevtools-8.3-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/rpmdevtools-8.3-1.fc18
Comment 4 Fedora Update System 2012-09-02 17:26:05 EDT
rpmdevtools-8.3-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/rpmdevtools-8.3-1.fc17
Comment 5 Fedora Update System 2012-09-02 17:26:58 EDT
rpmdevtools-8.3-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/rpmdevtools-8.3-1.fc16
Comment 6 Fedora Update System 2012-09-03 13:22:43 EDT
Package rpmdevtools-8.3-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing rpmdevtools-8.3-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-13208/rpmdevtools-8.3-1.fc18
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2012-09-11 20:24:37 EDT
rpmdevtools-8.3-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2012-09-11 20:33:52 EDT
rpmdevtools-8.3-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2012-09-17 19:49:57 EDT
rpmdevtools-8.3-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.